> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/v1/legal-entity > Retrieves a list of legal entities for the tenant ## OpenAPI ````json GET /public/v1/legal-entity { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/v1/legal-entity": { "get": { "tags": [ "netcore" ], "description": "Retrieves a list of legal entities for the tenant", "parameters": [ { "name": "modifiedOnStart", "in": "query", "description": "Starting datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnEnd'", "schema": { "type": "string", "format": "date-time" } }, { "name": "modifiedOnEnd", "in": "query", "description": "Ending datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnStart'", "schema": { "type": "string", "format": "date-time" } }, { "name": "pageSize", "in": "query", "description": "Maximum number of top level objects in the response, max value 250; if there are more objects matching the criteria, a link with a continuation token will be included in the response", "schema": { "type": "integer", "format": "int32", "default": 250 } } ], "responses": { "200": { "description": "List of legal entities", "content": { "text/plain": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Public.Shared.Contracts.LegalEntityDto" } } }, "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Public.Shared.Contracts.LegalEntityDto" } } }, "text/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Public.Shared.Contracts.LegalEntityDto" } } } } }, "400": { "description": "Invalid request, such as missing required date parameters" } } } } }, "components": { "schemas": { "R365.Public.Shared.Contracts.LegalEntityDto": { "type": "object", "properties": { "Id": { "type": "string", "format": "uuid" }, "Name": { "type": "string" }, "Number": { "type": "string" }, "IsActive": { "type": "boolean" }, "TaxId": { "type": "string" }, "StateId": { "type": "string" }, "PayrollProviderId": { "type": "string" }, "Address1": { "type": "string" }, "Address2": { "type": "string" }, "City": { "type": "string" }, "State": { "type": "string" }, "PostalCode": { "type": "string" }, "Country": { "type": "string" } } } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````